//
// Created by zoe on 1/12/23.
//

#ifndef HOST_CENTRAL_MAST_SDCARDEXCEPTION_H
#define HOST_CENTRAL_MAST_SDCARDEXCEPTION_H

#include <Arduino.h>
#include <exception>

// create a custom exception type called SD Card Exception

class SDCardException : public std::exception {
  public:
    SDCardException(const String &message) : message(message) {}
    const char *what() const noexcept override { return message.c_str(); }

  private:
    String message;
};

#endif // HOST_CENTRAL_MAST_SDCARDEXCEPTION_H
