//
// Created by zoe on 2/2/23.
//

#ifndef CLIENT_MOCK_MEASUREMENTTYPES_H
#define CLIENT_MOCK_MEASUREMENTTYPES_H

#include <map>

enum class MeasurementType {
  CIRCUMFERENCE_INCREMENT,
  TEMPERATURE,
  HUMIDITY,
  SHUNT_VOLTAGE,
  BUS_VOLTAGE,
  CURRENT_mA,
  POWER_mW,
  LOAD_VOLTAGE_V,
  INA219_OVERFLOW,
  BATTERY_VOLTAGE,
  MOCK,
  SOLAR_RADIATION,
  SOIL_MOISTURE,
  SOIL_TEMPERATURE,
  SOIL_MOISTURE_3,
  SOIL_TEMPERATURE_3,
  SOIL_MOISTURE_4,
  SOIL_TEMPERATURE_4,
  SOIL_MOISTURE_5,
  SOIL_TEMPERATURE_5,
  PRECIPITATION,
  CO2,
  NULL_MEASUREMENT,
};

// convert below to a function
// measurement type to string function
namespace MeasurementTypes {
std::string measurementTypeToString(MeasurementType measurementType);
}

#endif //CLIENT_MOCK_MEASUREMENTTYPES_H
