//
// Created by zoe on 2/2/23.
//
# include "MeasurementTypes.h"
namespace MeasurementTypes {
std::string measurementTypeToString(MeasurementType measurementType) {
  switch (measurementType) {
    case MeasurementType::CIRCUMFERENCE_INCREMENT:
      return "CIRCUMFERENCE_INCREMENT";
    case MeasurementType::TEMPERATURE:
      return "TEMPERATURE";
    case MeasurementType::HUMIDITY:
      return "HUMIDITY";
    case MeasurementType::SHUNT_VOLTAGE:
      return "SHUNT_VOLTAGE";
    case MeasurementType::BUS_VOLTAGE:
      return "BUS_VOLTAGE";
    case MeasurementType::CURRENT_mA:
      return "CURRENT_mA";
    case MeasurementType::POWER_mW:
      return "POWER_mW";
    case MeasurementType::LOAD_VOLTAGE_V:
      return "LOAD_VOLTAGE_V";
    case MeasurementType::INA219_OVERFLOW:
      return "INA219_OVERFLOW";
    case MeasurementType::BATTERY_VOLTAGE:
      return "BATTERY_VOLTAGE";
    case MeasurementType::MOCK:
      return "MOCK";
    case MeasurementType::SOLAR_RADIATION:
      return "SOLAR_RADIATION";
    case MeasurementType::SOIL_MOISTURE_3:
      return "SOIL_MOISTURE_3";
    case MeasurementType::SOIL_TEMPERATURE_3:
      return "SOIL_TEMPERATURE_3";
    case MeasurementType::SOIL_MOISTURE_4:
      return "SOIL_MOISTURE_4";
    case MeasurementType::SOIL_TEMPERATURE_4:
      return "SOIL_TEMPERATURE_4";
    case MeasurementType::SOIL_MOISTURE_5:
      return "SOIL_MOISTURE_5";
    case MeasurementType::SOIL_TEMPERATURE_5:
      return "SOIL_TEMPERATURE_5";
    case MeasurementType::PRECIPITATION:
      return "PRECIPITATION";
    case MeasurementType::CO2:
      return "CO2";
    case MeasurementType::NULL_MEASUREMENT:
      return "NULL_MEASUREMENT";
    case MeasurementType::SOIL_MOISTURE:
        return "SOIL_MOISTURE";
    case MeasurementType::SOIL_TEMPERATURE:
        return "SOIL_TEMPERATURE";
  }
  return "UNKNOWN";
}

}